Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.springframework.data.redis.core
Interface BoundZSetOperations<K,V>

All Superinterfaces:
  BoundKeyOperations<K>

    public interface BoundZSetOperations<K,V>

extends BoundKeyOperations<K>

ZSet (or SortedSet) operations bound to a certain key.

Method Summary
`Long` | `add(Set<ZSetOperations.TypedTuple<V>> tuples)`
`Boolean` | `add(V value, double score)`
`Long` | `count(double min, double max)`
`RedisOperations<K,V>` | `getOperations()`
`Double` | `incrementScore(V value, double delta)`
`void` | `intersectAndStore(Collection<K> otherKeys, K destKey)`
`void` | `intersectAndStore(K otherKey, K destKey)`
`Set<V>` | `range(long start, long end)`
`Set<V>` | `rangeByScore(double min, double max)`
`Set<ZSetOperations.TypedTuple<V>>` | `rangeByScoreWithScores(double min, double max)`
`Set<ZSetOperations.TypedTuple<V>>` | `rangeWithScores(long start, long end)`
`Long` | `rank(Object o)`
`Long` | `remove(Object... values)`
`void` | `removeRange(long start, long end)`
`void` | `removeRangeByScore(double min, double max)`
`Set<V>` | `reverseRange(long start, long end)`
`Set<V>` | `reverseRangeByScore(double min, double max)`
`Set<ZSetOperations.TypedTuple<V>>` | `reverseRangeByScoreWithScores(double min, double max)`
`Set<ZSetOperations.TypedTuple<V>>` | `reverseRangeWithScores(long start, long end)`
`Long` | `reverseRank(Object o)`
`Double` | `score(Object o)`
`Long` | `size()`
`void` | `unionAndStore(Collection<K> otherKeys, K destKey)`
`void` | `unionAndStore(K otherKey, K destKey)`

Methods inherited from interface org.springframework.data.redis.core.BoundKeyOperations
`expire, expireAt, getExpire, getKey, getType, persist, rename`

Method Detail

### getOperations

    RedisOperations<K,V> getOperations()

### intersectAndStore

    void intersectAndStore(K otherKey,
                           K destKey)

### intersectAndStore

    void intersectAndStore(Collection<K> otherKeys,
                           K destKey)

### range

    Set<V> range(long start,
                 long end)

### rangeByScore

    Set<V> rangeByScore(double min,
                        double max)

### reverseRange

    Set<V> reverseRange(long start,
                        long end)

### reverseRangeByScore

    Set<V> reverseRangeByScore(double min,
                               double max)

### rangeWithScores

    Set<ZSetOperations.TypedTuple<V>> rangeWithScores(long start,
                                                      long end)

### rangeByScoreWithScores

    Set<ZSetOperations.TypedTuple<V>> rangeByScoreWithScores(double min,
                                                             double max)

### reverseRangeWithScores

    Set<ZSetOperations.TypedTuple<V>> reverseRangeWithScores(long start,
                                                             long end)

### reverseRangeByScoreWithScores

    Set<ZSetOperations.TypedTuple<V>> reverseRangeByScoreWithScores(double min,
                                                                    double max)

### removeRange

    void removeRange(long start,
                     long end)

### removeRangeByScore

    void removeRangeByScore(double min,
                            double max)

### unionAndStore

    void unionAndStore(K otherKey,
                       K destKey)

### unionAndStore

    void unionAndStore(Collection<K> otherKeys,
                       K destKey)

### add

    Boolean add(V value,
                double score)

### add

    Long add(Set<ZSetOperations.TypedTuple<V>> tuples)

### incrementScore

    Double incrementScore(V value,
                          double delta)

### rank

    Long rank(Object o)

### reverseRank

    Long reverseRank(Object o)

### remove

    Long remove(Object... values)

### count

    Long count(double min,
               double max)

### size

    Long size()

### score

    Double score(Object o)

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD